Avro C#

Public Member Functions | Static Public Attributes | List of all members
Avro.Util.Uuid Class Reference

UUid logical type More...

Inheritance diagram for Avro.Util.Uuid:

## Public Member Functions
| Uuid ()
| Constructs Uuid object More...
override object | ConvertToBaseValue (object logicalValue, LogicalSchema schema)
| Converts a logical value to an instance of its base type.
override object | ConvertToLogicalValue (object baseValue, LogicalSchema schema)
| Converts a base value to an instance of the logical type.
override Type | GetCSharpType (bool nullible)
| Retrieve the .NET type that is represented by the logical type implementation.
override bool | IsInstanceOfLogicalType (object logicalValue)
| Determines if a given object is an instance of the logical type.
override void | ValidateSchema (LogicalSchema schema)
| Applies logical type validation for a given logical schema.

## Static Public Attributes
static readonly string | LogicalTypeName = "uuid"
| Logical type name More...

## Additional Inherited Members
Protected Member Functions inherited from Avro.Util.LogicalType
| LogicalType (string name)
| Initializes the base logical type. More...
Properties inherited from Avro.Util.LogicalType
string | Name`[get]`
| The logical type name. More...

## Detailed Description

UUid logical type

## Constructor & Destructor Documentation

## ◆ Uuid()

Avro.Util.Uuid.Uuid | ( |  | ) |
| inline

Constructs Uuid object

## Member Data Documentation

## ◆ LogicalTypeName

readonly string Avro.Util.Uuid.LogicalTypeName = "uuid"
| static

Logical type name

The documentation for this class was generated from the following file:

- src/apache/main/Util/Uuid.cs